Original Github issue: https://github.com/Joystream/joystream/issues/1106

A calendar as a community space would be a great way for the council and users to advertise current and upcoming events. It could be a great tool for community building as well, as new users would be able to see previous events and explore linked media. Rather than being focused on technical network events, this would be more focused on socially important events where users might be able to participate.

This feature could be incorporated to improve the current landing page issues: https://github.com/Joystream/joystream/issues/485

Ideally, the council would be able to add new calendar events via proposal for a low fee, whereas non-CM users could add events for a higher fee. I do not know how this would work on a technical level, but I would imagine the proposal asks for a starting block and an ending block, a description/link and some other simple data.

For long duration events (like competitions) it would also inform new users of what is currently available to participate on in an easy way.

The council could use this for:
- Advertise upcoming features (ex. "March 3rd we will be launching livestreaming, read more here")
- Advertise upcoming competitions
- Advertise upcoming testnet upgrades/events
- Advertise important discussion events (ex. "Join us for an AMA for the next runtime upgrade"

Some important council events could automatically be added:
- Council voting starts/ends
- WG openings

Users could use this for:
- Advertise upcoming livestream events (ex. "Streaming for charity on May 3rd for 6 hours!")
- Advertise upcoming video releases (ex. "Premiering my latest great video at `n` block number!")

The calendar would have its own page, with a typical 30 day calendar view but can also more importantly be incorporated on the landing page of Joystream, where the last `n` days of events are put into a bulletpoint format list for easy reading.
* in 5h: runtime will updated, read forum post: link
* in 16h: Michael is livestreaming, read forum post: link
* in 4 days: Video competition is starting, read forum post: link

If tags are enabled for events, such as `forum` `council` or `livestreaming` this means the event list could be tailored to specific sections of the community, ex. `livestreaming` events can be featured on the livestreaming page, `forum` events can be featured on the forum.
Eventually with the notification system being implemented, users could subscribe to events from particular tags (ex. those interested in council matters could subscribe to `council`)