# Council Election Round #1 - Performance Review and Minutes
## 1 - Basic Information
### 1.1 - Introduction
The council is expected to produce reports during each round and provide feedback in the form of workflow, challenges, thinking and performance as well as minutes covering important events during the council session.

Usernames referenced are Joystream usernames.
All times are calculated based on 6 second blocktimes and not actual blocktimes.
The Council Round number is taken from the chain, the KPI rounds have an offset number.

This report was compiled by @tomato with assistance from @freakstatic

### 1.2 - Council Round Overview
* Testnet: Alexandria
* Council Election Round: #1
* Start Block: #57601
* End Block: #201601
* Forum thread for round feedback: https://testnet.joystream.org/#/forum/threads/127

### 1.3 - Council members & vote participation
* All usernames are listed in the order given by `activeCouncil` from chain state.
* Votes cast includes all types of vote (Approve, Reject, Abstain & Slash)
* Some proposals include votes from the next elected council, these votes are not counted and do not currently influence proposal results.

| Username             | Member ID | Prop. Votes Cast | CM Own Stake | CM Voter Stake |
|----------------------|-----------|------------------|--------------|----------------|
| @anthony             | 129       | 10               | 4000000      | 0              |
| @freakstatic_council | 321       | 10               | 3000000      | 1100000        |
| @fierydev            | 439       | 5                | 4000001      | 100000         |
| @nexusfallout        | 4         | 5                | 3400000      | 1100000        |
| @tomato              | 2         | 11               | 2400000      | 1601000        |
| @sparky              | 319       | 5                | 3000000      | 560000         |
|                      |           |                  |              |                |
| Total Stake          |           |                  |              | 24261001       |

### 1.4 - Council Roles
* Council Secretary
	* @tomato

### 1.5 - Council Mint & Budget Status
* Start minted: 0 tokens
* End minted: 4,553,000 tokens
* Total minted during council round: 4,553,000 tokens (+% from start)
	* Minted from Spending proposals: 2,000,000 tokens
	* Minted for CM payments: 2,553,000 tokens

* Budget proposal link: 
	* No budget was submitted during this council session
* Total budget: N/A tokens
* Total used of budget: N/A tokens

(Note: The council budget is a work in progress and is a non-binding proposal, at this stage it can be used to simply begin the development of a working budget for the council. Currently the council mint is filled by Jsgenesis, but on mainnet this will have to be managed by the council in some way.)

## 2 - Minutes
### 2.1 - Proposal Overview
- 14 Proposals Created
	- 5 Text Proposals
	- 3 Spending Proposals
	- 0 SetWorkingGroupMintCapacity Proposals
	- 0 SetContentWorkingGroupMintCapacity Proposals
	- 1 AddWorkingGroupLeaderOpening Proposals
	- 1 SetLead Proposals
	- 1 BeginReviewWorkingGroupLeaderApplication Proposals
	- 1 FillWorkingGroupLeaderOpening Proposals
	- 1 SetWorkingGroupLeaderReward Proposals
	- 1 SetValidatorCount Proposals

- 11 Approved & executed proposals
	- Token value: 4000000 tokens
- 3 Canceled proposals
- 0 Rejected proposals
- 0 Slashed proposals
- 0 Expired proposals
	- Token value: 0 tokens
- 0 NotEnoughCapacity failures

- Total time for proposals to finalize: 108.88 hours
- Average time for proposals to finalize: 9.89 hours
	- This average is calculated from all proposals, except for canceled proposals.

### 2.2 - Proposal Breakdown
#### Proposal 2 - KPI 01.3 - Appoint new council secretary
- Proposal Link: https://testnet.joystream.org/#/proposals/2
- Proposal Type: Spending
	- Amount: 2000000
- Status: Canceled
	- Time to finalize: N/A
- Created by: @tomato
- Participants: N/A
#### Proposal 3 - KPI 01.3 - Appoint new council secretary
- Proposal Link: https://testnet.joystream.org/#/proposals/3
- Proposal Type: Spending
	- Amount: 2000000
- Status: Approved & Executed
	- Time to finalize: 3761 blocks (6.26 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @anthony, @freakstatic_council, @fierydev
#### Proposal 4 - Hire Storage Lead
- Proposal Link: https://testnet.joystream.org/#/proposals/4
- Proposal Type: AddWorkingGroupLeaderOpening
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 4475 blocks (7.45 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @freakstatic_council, @fierydev
#### Proposal 5 - Curator Lead hiring and terms
- Proposal Link: https://testnet.joystream.org/#/proposals/5
- Proposal Type: Text
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 4395 blocks (7.32 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @freakstatic_council, @fierydev
#### Proposal 6 - Error in reward interval for 1st council
- Proposal Link: https://testnet.joystream.org/#/proposals/6
- Proposal Type: Text
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 2878 blocks (4.79 hours)
- Created by: @bwhm0
- Participants: @tomato, @anthony, @sparky, @freakstatic_council
#### Proposal 7 - Create a community bounties forum cat
- Proposal Link: https://testnet.joystream.org/#/proposals/7
- Proposal Type: Text
	- Amount: N/A
- Status: Canceled
	- Time to finalize: N/A
- Created by: @tomato
- Participants: @tomato
#### Proposal 8 - Set the new curator lead
- Proposal Link: https://testnet.joystream.org/#/proposals/8
- Proposal Type: SetLead
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 16342 blocks (27.23 hours)
- Created by: @freakstatic_council
- Participants: @tomato, @nexusfallout, @sparky, @fierydev
#### Proposal 9 - Begin storage lead review
- Proposal Link: https://testnet.joystream.org/#/proposals/9
- Proposal Type: BeginReviewWorkingGroupLeaderApplication
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 8975 blocks (14.95 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @sparky, @freakstatic_council
#### Proposal 10 - Fill storage lead
- Proposal Link: https://testnet.joystream.org/#/proposals/10
- Proposal Type: FillWorkingGroupLeaderOpening
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 2179 blocks (3.63 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @anthony, @freakstatic_council
#### Proposal 11 - Fix storage lead reward payment
- Proposal Link: https://testnet.joystream.org/#/proposals/11
- Proposal Type: SetWorkingGroupLeaderReward
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 7478 blocks (12.46 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @sparky, @freakstatic_council
#### Proposal 12 - Increasing Validator Count
- Proposal Link: https://testnet.joystream.org/#/proposals/12
- Proposal Type: SetValidatorCount
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 653 blocks (1.08 hours)
- Created by: @investblog
- Participants: @tomato, @nexusfallout, @anthony, @freakstatic_council
#### Proposal 13 - Community Repo review request
- Proposal Link: https://testnet.joystream.org/#/proposals/13
- Proposal Type: Text
	- Amount: N/A
- Status: Canceled
	- Time to finalize: N/A
- Created by: @tomato
- Participants: N/A
#### Proposal 14 - Community Repo review request
- Proposal Link: https://testnet.joystream.org/#/proposals/14
- Proposal Type: Text
	- Amount: N/A
- Status: Approved & Executed
	- Time to finalize: 7545 blocks (12.57 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @freakstatic_council, @fierydev
#### Proposal 15 - Council Report Generator (Tokenomics)
- Proposal Link: https://testnet.joystream.org/#/proposals/15
- Proposal Type: Spending
	- Amount: 2000000
- Status: Approved & Executed
	- Time to finalize: 6684 blocks (11.14 hours)
- Created by: @freakstatic_council
- Participants: @tomato, @nexusfallout, @anthony, @sparky, @freakstatic_council

### 2.4 - Select events
- Discussion of Storage provider budget: https://testnet.joystream.org/#/forum/threads/120
- Discussion of Curator budget: https://testnet.joystream.org/#/forum/threads/121
- Discussion of Validator count: https://testnet.joystream.org/#/forum/threads/125
- Discussion of KPIs: https://testnet.joystream.org/#/forum/threads/117

## 3 - Review
### 3.1 - Workflow, Performance, Challenged & Thinking
* @freakstatic_council
	* This council round was really interesting, the changes of the new testnet version were really great.
	* We seem to have a bit more participant council and we have a lot of members interested in the validator role which lead to the discussion and proposal of increasing the number of validators slots. I think that the increase of the council election stages improve the system a bit, we should keep the durations.
	* We got some interest people on the bounties, unfortunately it seems that the telegram bot was not fixed in time. For the tokenomic script I think that I will be able to make a proposal and a pull request at the end of the council round, I'm just finishing the code to gather the information for some fields of the report.
	* We also were able to hire the storage lead and curator lead with no problems
	* One think that I would like to add is that reported by the curator lead it seems that the platform is having few new content (videos). So he chosen to don't hire any curator to validate content, since it has few videos to validate. The next council should try to fix this issue, maybe create some proposals for video creation.

* @nexusfallout
	* Great session, i am thinking all the latest changes paid off. smaller council: longer terms. I really think the proposal voting time has drastically decreased. Faster results!.

* @tomato
	* I think this council round went pretty well, the longer time to achieve KPIs makes it more manageable as before the election would be starting half way through a council so it was a bit too distracting. It's also great that community bounties are detached from the council terms, since we are usually going to be relying on non-CMs to complete work, it is a bit unpredictable on how many people will show interest.
	* I don't think the Telegram Bot community bounty is going to be completed on time, but this shows we need a better process for dealing with these, which we can perfect over time. One issue I see is that people use Telegram to talk about the work, but it would be better if they were using the forums. We may also need to investigate places we can advertise this type of bounty (coding) to attract more interest, it may be that there aren't enough people on the Telegram currently to find enough coders for this.
	* Hopefully we'll have a council report and tokenomics report submitted after completion of this round which will be the first time both have been submitted and will hopefully help users to understand the platform better.
	* Also it was great to see so many people apply for the council, it was a large amount of tokens involved which shows people are interested in being on the council.
	* We also managed to have a member of the community submit a proposal to increase the validator count, which is a good achievement as most of the proposals are currently made by CMs, it makes the platform more balanced if there are more proposals submitted by users.

* @fierydev
	* Crazy election truly for Joystream! :) Also happy to see that no validators have been slashed as of yet (As much as I can tell) Staking demand is getting better! This is the best sign I personally feel! It leads to more people joining, surely will lead to faster achievement of KPIs!

## 4 - Obligations
Council obligations are payments or items that carry through council sessions. These are noted so that future councils can easily see what items they should be aware of. Items can be removed from here once they have been resolved or become outdated.

### 4.1 Current Documents / Processes
- Council Report
	- Each council should produce a report which highlights important events, council participation, mint spending and other important facts surrounding the council term
- Council Budget
	- This is a proposal which tries to guide how many tokens the current council may have available to it during a term. This is a non binding proposal, so is mainly used as a guide for now.

### 4.2 Documents WIP
- Tokenomics Reports
	- This is a periodic report which should be produced after each council round has concluded. It should serve as a tool to see the overall economics of the platform.
- Working Group Evaluations
	- This was introduced in KPI 15.5 and should serve as a way of evaluting the working groups, so far it hasn't been produced fully.

### 4.2 Regular Payments / Proposals
- Council Mint
	- The council mint needs to be checked on a regular basis and in the event it is near depletion, a council member should notify a member of Jsgenesis in order for it to be refilled.
	- The council mint is set at a value decided by Jsgenesis.
- Council Roles
	- Council Secretary
		- This role was introduced in Council Round #18 and the current payment is 2 million tokens per council round
- Content Curator Mint
	- The Content Curator Mint currently has a maximum value of 5 million tokens.
	- The Content Curator Mint has to be filled periodically and the agreed amount was discussed earlier. The amount may change in the future, but the rewards for this role are dependent on the council passing these proposals in a timely fashion.
	- The Content Curator Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
- Storage Mint
	- The Storage Mint currently has a maximum value of 5 million tokens.
	- This mint has be refilled periodically
	- The Storage Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
 
### 4.2 Bounties
- There are no outstanding bounties at this time.

## 5 - Report changelog
- 10.10.2020
	- canceled proposals are no longer included when calculating the average time to finalize, this is because there is no longer a bug that happens when proposals cross into the next council, so it would influence the results if these were counted
- 14.09.2020
	- removed member addresses and replaced with member IDs since they take less space
	- added realized and unrealized spending