# Council Election Round #2 - Performance Review and Minutes
## 1 - Basic Information
### 1.1 - Introduction
The council is expected to produce reports during each round and provide feedback in the form of workflow, challenges, thinking and performance as well as minutes covering important events during the council session.

Usernames referenced are Joystream usernames.
All times are calculated based on 6 second blocktimes and not actual blocktimes.

This report was compiled by @tomato with assistance from @freakstatic

### 1.2 - Council Round Overview
* Council Election Round: #2
* Start Block: #259201
* End Block: #460801
* Date range: 10/9/2020 - 10/24/2020
* Forum thread for round feedback: https://testnet.joystream.org/#/forum/threads/137

### 1.3 - Council members & vote participation
* All usernames are listed in the order given by `activeCouncil` from chain state.
* Votes cast includes all types of vote (Approve, Reject, Abstain & Slash)
* In the event a proposal is not finalized within the current council, it will be indicated and current council votes will not be recorded due to system limitations

| Username             | Member ID | Prop. Votes Cast | CM Own Stake | CM Voter Stake |
|----------------------|-----------|------------------|--------------|----------------|
| @anthony             | 129       | 7                | 3900000      | 800100         |
| @supunssw            | 318       | 5                | 3900000      | 1100000        |
| @freakstatic_council | 321       | 10               | 3900000      | 1100000        |
| @nexusfallout        | 4         | 9                | 3900000      | 1100000        |
| @tomato              | 2         | 11               | 3900000      | 1001000        |
| @sparky              | 319       | 4                | 3730000      | 100400         |
|                      |           |                  |              |                |
| Total Stake          |           |                  |              | 28431500       |

### 1.4 - Council Roles
* Council Secretary
	* @tomato

### 1.5 - Council Mint & Budget Status
* Start minted: 6553000 tokens
* End minted:  14493000 tokens
* Total minted during council round: 7940000 tokens (+121% from start)
	* Minted from Spending proposals: 3500000 tokens
	* Minted for CM payments: 4440000 tokens

* Budget proposal link: https://testnet.joystream.org/#/proposals/25
* Budget forum link: https://testnet.joystream.org/#/forum/threads/136

(Note: The council budget is now based on the balance of rewards for roles, council payments and validator payments. Jsgenesis decides how much to set the mint to.)

## 2 - Minutes
### 2.1 - Proposal Overview
- 13 Proposals Created
	- 5 Text Proposals
	- 4 Spending Proposals
	- 1 SetWorkingGroupMintCapacity Proposals
	- 1 SetContentWorkingGroupMintCapacity Proposals
	- 1 SetValidatorCount Proposals
	- 1 SetWorkingGroupLeaderReward Proposals

- 11 Approved & executed proposals
  - Token value: 8500000 tokens
- 0 Canceled proposals
- 0 Rejected proposals
- 0 Slashed proposals
- 0 Expired proposals
  - Token value: 0 tokens
- 0 NotEnoughCapacity failures
- 2 Proposals carried to next council session (lack of council vote quorum)
  - Token value: 1000000 tokens

- Total time for proposals to finalize: 292.31 hours
- Average time for proposals to finalize: 22.48 hours
	- This average is calculated from all proposals, including canceled and expired proposals.
	- Proposals which are not successfully voted by the current council are considered finalized at the final blockheight of the current council. So if the current council has 50 hours to vote on proposal, but does not fully vote and the proposal is passed onto the next council, this 50 hours is included in the average time to finalize.

### 2.2 - Proposal Breakdown
#### Proposal 16 - Alexandria - Council 01 report
- Proposal Link: https://testnet.joystream.org/#/proposals/16
- Proposal Type: Spending
	- Amount: 1000000
- Status: Executed
	- Time to finalize: 21102 blocks (35.17 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @anthony, @supunssw, @freakstatic_council

#### Proposal 17 - Council 01 - Tokenomics Report
- Proposal Link: https://testnet.joystream.org/#/proposals/16
- Proposal Type: Spending
	- Amount: 400000
- Status: Executed
	- Time to finalize: 14303 blocks (23.83 hours)
- Created by: @freakstatic_council
- Participants: @tomato, @nexusfallout, @anthony, @supunssw

#### Proposal 18 - Refill Storage Working Group mint
- Proposal Link: https://testnet.joystream.org/#/proposals/18
- Proposal Type: SetWorkingGroupMintCapacity
	- Amount: 5000000
- Status: Executed
	- Time to finalize: 9023 blocks (15.03 hours)
- Created by: @rajcprem
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 19 - Gaming videos 
- Proposal Link: https://testnet.joystream.org/#/proposals/19
- Proposal Type: Spending
	- Amount: 100000
- Status: Executed
	- Time to finalize: 13224 blocks (22.04 hours)
- Created by: @betilada
- Participants: @tomato, @nexusfallout, @anthony, @freakstatic_council

#### Proposal 20 - KPI 02.3 - Appoint new council secretary
- Proposal Link: https://testnet.joystream.org/#/proposals/20
- Proposal Type: Spending
	- Amount: 2000000
- Status: Executed
	- Time to finalize: 17534 blocks (29.22 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @supunssw, @sparky, @freakstatic_council

#### Proposal 21 - Validator count increase
- Proposal Link: https://testnet.joystream.org/#/proposals/21
- Proposal Type: SetValidatorCount
	- Amount: N/A
- Status: Executed
	- Time to finalize: 9119 blocks (15.19 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @sparky, @freakstatic_council

#### Proposal 22 - Storage Provider Spot Check
- Proposal Link: https://testnet.joystream.org/#/proposals/22
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 713 blocks (1.18 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 23 - Content Curator Role Spot Check
- Proposal Link: https://testnet.joystream.org/#/proposals/23
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 12424 blocks (20.70 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @anthony, @freakstatic_council

#### Proposal 24 - KPI 02.6 - Potential Bounties
- Proposal Link: https://testnet.joystream.org/#/proposals/24
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 7701 blocks (12.83 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @anthony, @freakstatic_council

#### Proposal 25 - Proposed budget adjustment
- Proposal Link: https://testnet.joystream.org/#/proposals/25
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 4396 blocks (7.32 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @sparky, @freakstatic_council

#### Proposal 26 - Adjust Storage Lead Rewards
- Proposal Link: https://testnet.joystream.org/#/proposals/26
- Proposal Type: SetWorkingGroupLeaderReward
	- Amount: N/A
- Status: Executed
	- Time to finalize: 11076 blocks (18.46 hours)
- Created by: @tomato
- Participants: @tomato, @nexusfallout, @sparky, @freakstatic_council

#### Proposal 27 - Rolling updates for Community Repo
- Proposal Link: https://testnet.joystream.org/#/proposals/27
- Proposal Type: Text
	- Amount: N/A
- Status: Carried on to next council
	- Time to finalize: 32242 blocks (53.73 hours)
- Created by: @tomato
- Participants: N/A

#### Proposal 28 - Replenishing the mind tor ContentCurator
- Proposal Link: https://testnet.joystream.org/#/proposals/28
- Proposal Type: SetContentWorkingGroupMintCapacity
	- Amount: 1000000
- Status: Carried on to next council
	- Time to finalize: 22570 blocks (37.61 hours)
- Created by: @tomato
- Participants: N/A

### 2.4 - Select threads & events
- Alexandria KPI 02.x - Budget - https://testnet.joystream.org/#/forum/threads/136
- Constitution / Proposal requirements - https://testnet.joystream.org/#/forum/threads/138
- Rolling updates introduced - https://testnet.joystream.org/#/proposals/27

## 3 - Review
### 3.1 - Workflow, Performance, Challenged & Thinking
* @freakstatic_council
	* This round was a bit calm comparing with the previous one. We still don't have the bot telegram which we miss so much :/ but it seems it's almost ready. @tomato has made some adjustments to the budget which we were needing, thanks btw! The council approved the values proposed by @tomato. Some problems with the storage providers were reported but @tomato seems to have help fix them
* @tomato
  * I think the council session went fairly well, its helping a lot that things are getting voted on consistently by the council which is making progress a bit easier. It's still a bit difficult with the small size of the community to get people interested, and it'd be nice to see more involvement from more of the council on issues, but for now things aren't super challenging.
  * I've managed to work on a budget, which has helped make it more obvious how much the council has promised as payments for roles and will hopefully make it easier for us to manage budgeting in the future: https://testnet.joystream.org/#/forum/threads/136
  * We also completed the first spot checks of working groups which showed a big issue with storage providers, so I'm guessing these will become a regular occurrence.
  * One improvement that I think needs to be made, is when tackling issues that we're given with KPIs we have to have deadlines for almost everything, if elected for the next session I'll be working on making sure that almost everything has a deadline attached to it.

## 4 - Obligations
Council obligations are payments or items that carry through council sessions. These are noted so that future councils can easily see what items they should be aware of. Items can be removed from here once they have been resolved or become outdated.

### 4.1 Current Documents / Processes
- Council Report
	- Each council should produce a report which highlights important events, council participation, mint spending and other important facts surrounding the council term
- Council Budget
	- This is a proposal which tries to guide how many tokens the current council may have available to it during a term. This is a non binding proposal, so is mainly used as a guide for now.

### 4.2 Documents WIP
- Tokenomics Reports
	- This is a periodic report which should be produced after each council round has concluded. It should serve as a tool to see the overall economics of the platform.
- Working Group Evaluations
	- This was introduced in KPI 15.5 and should serve as a way of evaluting the working groups, so far it hasn't been produced fully.

### 4.2 Regular Payments / Proposals
- Council Mint
	- The council mint needs to be checked on a regular basis and in the event it is near depletion, a council member should notify a member of Jsgenesis in order for it to be refilled.
	- The council mint is set at a value decided by Jsgenesis.
- Council Roles
	- Council Secretary
		- This role was introduced in Council Round #18 and the current payment is 2 million tokens per council round
- Content Curator Mint
	- The Content Curator Mint currently has a maximum value of 1 million tokens.
	- The Content Curator Mint has to be filled periodically and the agreed amount was discussed earlier. The amount may change in the future, but the rewards for this role are dependent on the council passing these proposals in a timely fashion.
	- The Content Curator Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
- Storage Mint
	- The Storage Mint currently has a maximum value of 1 million tokens.
	- This mint has be refilled periodically
	- The Storage Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
 
## 5 - Report changelog
- 22.10.2020
	- updated budget section to reflect nature of new budget system
	- updated events to be threads & events
	- added proposals which are not successfully voted (lack of quorum) to averages
	- removed bounties section, since these are now managed differently
- 14.09.2020
	- removed member addresses and replaced with member IDs since they take less space
	- added realized and unrealized spending