# Council Election Round #6 - Performance Review and Minutes
## 1 - Basic Information
### 1.1 - Introduction
The council is expected to produce reports during each round and provide feedback in the form of workflow, challenges, thinking and performance as well as minutes covering important events during the council session.

Usernames referenced are Joystream usernames.
All times are calculated based on 6 second blocktimes and not actual blocktimes.
The Council Round number is taken from the chain, the KPI rounds have an offset number.

This report was compiled by @tomato with assistance from @freakstatic

### 1.2 - Council Round Overview
* Council Election Round: #6
* Start Block: #1065601
* End Block: #1267201
* Forum thread for round feedback: https://testnet.joystream.org/#/forum/threads/163

### 1.3 - Council members & vote participation
* All usernames are listed in the order given by `activeCouncil` from chain state.
* Votes cast includes all types of vote (Approve, Reject, Abstain & Slash)
* In the event a proposal is not finalized within the current council, it will be indicated and current council votes will not be recorded due to system limitations

| Username             | Member ID | Prop. Votes Cast | CM Own Stake | CM Voter Stake |
|----------------------|-----------|------------------|--------------|----------------|
| @blackmass           | 361       | 9                | 4000000      | 2220000        |
| @anthony             | 129       | 10               | 6100000      | 5000           |
| @supunssw            | 318       | 7                | 6000000      | 505000         |
| @freakstatic_council | 321       | 13               | 6000000      | 0              |
| @tomato              | 2         | 13               | 6000000      | 105100         |
| @sparky              | 319       | 1                | 7000000      | 5000           |
|                      |           |                  |              |                |
| Total Stake          |           |                  |              | 37940100       |

### 1.4 - Council Roles
* Council Secretary
	* @tomato

### 1.5 - Council Mint & Budget Status
* Start minted: 45924210 tokens
* End minted: 60345646 tokens
* Total minted during council round: 14421436 tokens (+31.40% from start)
	* Minted from Spending proposals: 9981000 tokens
	* Minted for CM payments: 4440000 tokens

* Budget proposal link: https://testnet.joystream.org/#/proposals/70
* Budget forum link: https://testnet.joystream.org/#/forum/threads/159

(Note: The council budget is now based on the rewards for roles, council payments and validator payments. Jsgenesis decides how much to set the mint to.)

## 2 - Minutes
### 2.1 - Proposal Overview
- 13 Proposals Created
	- 4 Text Proposals
	- 7 Spending Proposals
	- 0 SetWorkingGroupLeaderReward Proposals
	- 0 SetWorkingGroupMintCapacity Proposals
	- 1 SetContentWorkingGroupMintCapacity Proposals
	- 1 RuntimeUpgrade Proposals

- 11 Approved & executed proposals
	- Token value of spending proposals: 9981000 tokens
- 0 Canceled proposals
- 0 Rejected proposals
- 0 Slashed proposals
- 2 Expired proposals
	- Token value: 10000000 tokens
- 0 NotEnoughCapacity failures
	- Token value: 0 tokens

- Total time for proposals to finalize: 788.54 hours
- Average time for proposals to finalize: 60.65 hours
	- This average is calculated from all proposals, including canceled and expired proposals.
	- Proposals which are not successfully voted by the current council are considered finalized at the final blockheight of the current council. So if the current council has 50 hours to vote on proposal, but does not fully vote and the proposal is passed onto the next council, this 50 hours is included in the average time to finalize.

### 2.2 - Proposal Breakdown
#### Proposal 62 - Council Reports + Stats Website (1)
- Proposal Link: https://testnet.joystream.org/#/proposals/62
- Proposal Type: Spending
	- Amount: 5000000
- Status: Expired
	- Time to finalize: 72000 blocks (120 hours)
- Created by: @l1dev
- Participants: @tomato, @freakstatic_council

#### Proposal 63 - Council Reports + Stats Website (2)
- Proposal Link: https://testnet.joystream.org/#/proposals/63
- Proposal Type: Spending
	- Amount: 5000000
- Status: Expired
	- Time to finalize: 72000 blocks (120 hours)
- Created by: @l1dev
- Participants: @tomato, @freakstatic_council

#### Proposal 64 - KPI 06.3 - Appoint New Council Secretary
- Proposal Link: https://testnet.joystream.org/#/proposals/64
- Proposal Type: Spending
	- Amount: 2000000
- Status: Executed
	- Time to finalize: 13354 blocks (22.25 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council, @blackmass

#### Proposal 65 - Council 5 Report
- Proposal Link: https://testnet.joystream.org/#/proposals/65
- Proposal Type: Spending
	- Amount: 500000
- Status: Executed
	- Time to finalize: 31853 blocks (53.08 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @sparky, @freakstatic_council, @blackmass

#### Proposal 66 - Council 05 - Tokenomics Report
- Proposal Link: https://testnet.joystream.org/#/proposals/66
- Proposal Type: Spending
	- Amount: 385000
- Status: Executed
	- Time to finalize: 18150 blocks (30.25 hours)
- Created by: @freakstatic_council
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council, @blackmass

#### Proposal 67 - Replenishing the mint for ContentCurator
- Proposal Link: https://testnet.joystream.org/#/proposals/67
- Proposal Type: SetContentWorkingGroupMintCapacity
	- Amount: 1000000
- Status: Executed
	- Time to finalize: 19066 blocks (31.77 hours)
- Created by: @maks_malensek
- Participants: @tomato, @supunssw, @freakstatic_council, @blackmass

#### Proposal 68 - A bounty for creating an ext stats site
- Proposal Link: https://testnet.joystream.org/#/proposals/68
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 13967 blocks (23.27 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @freakstatic_council, @blackmass

#### Proposal 69 - Community Bounty 05 - Telegram Stickers
- Proposal Link: https://testnet.joystream.org/#/proposals/69
- Proposal Type: Spending
	- Amount: 2096000
- Status: Executed
	- Time to finalize: 62437 blocks (104.06 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council, @blackmass

#### Proposal 70 - Alexandria KPI 06.5 - Proposed Budget
- Proposal Link: https://testnet.joystream.org/#/proposals/70
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 27162 blocks (45.27 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @freakstatic_council, @blackmass

#### Proposal 71 - JoystreamStats.live
- Proposal Link: https://testnet.joystream.org/#/proposals/71
- Proposal Type: Spending
	- Amount: 5000000
- Status: Executed
	- Time to finalize: 71492 blocks (119.15 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 72 - Content Curator Role Spot Check
- Proposal Link: https://testnet.joystream.org/#/proposals/72
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 8768 blocks (14.61 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @freakstatic_council, @blackmass

#### Proposal 73 - Storage Role Spot Check
- Proposal Link: https://testnet.joystream.org/#/proposals/73
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 28104 blocks (46.84 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 74 - Upgrade Runtime to Babylon
- Proposal Link: https://testnet.joystream.org/#/proposals/74
- Proposal Type: RuntimeUpgrade
	- Amount: N/A
- Status: Executed
	- Time to finalize: 34797 blocks (57.99 hours)
- Created by: @joystream
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council, @blackmass


### 2.4 - Select threads & events
- Runtime Upgrade for Babylon approved: https://testnet.joystream.org/#/proposals/74

### 2.5 - Working Group Spotchecks
- Storage Role Spot Check: https://testnet.joystream.org/#/proposals/73
- Curator Role Spot Check: https://testnet.joystream.org/#/proposals/72

## 3 - Review
### 3.1 - Workflow, Performance, Challenged & Thinking
* N/A

## 4 - Obligations
Council obligations are payments or items that carry through council sessions. These are noted so that future councils can easily see what items they should be aware of. Items can be removed from here once they have been resolved or become outdated.

### 4.1 Current Documents / Processes
- Council Report
	- Each council should produce a report which highlights important events, council participation, mint spending and other important facts surrounding the council term
- Council Budget
	- This is a proposal which tries to guide how many tokens the current council may have available to it during a term. This is a non binding proposal, so is mainly used as a guide for now.

### 4.2 Documents WIP
- Tokenomics Reports
	- This is a periodic report which should be produced after each council round has concluded. It should serve as a tool to see the overall economics of the platform.
- Working Group Evaluations
	- This was introduced in KPI 15.5 and should serve as a way of evaluting the working groups, so far it hasn't been produced fully.

### 4.2 Regular Payments / Proposals
- Council Mint
	- The council mint needs to be checked on a regular basis and in the event it is near depletion, a council member should notify a member of Jsgenesis in order for it to be refilled.
	- The council mint is set at a value decided by Jsgenesis.
- Council Roles
	- Council Secretary
		- This role was introduced in Council Round #18 and the current payment is 2 million tokens per council round
- Content Curator Mint
	- The Content Curator Mint currently has a maximum value of 1 million tokens.
	- The Content Curator Mint has to be filled periodically and the agreed amount was discussed earlier. The amount may change in the future, but the rewards for this role are dependent on the council passing these proposals in a timely fashion.
	- The Content Curator Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
- Storage Mint
	- The Storage Mint currently has a maximum value of 5 million tokens.
	- This mint has be refilled periodically
	- The Storage Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
 
### 4.2 Bounties
- Bounties are shown on the forum Bounties section: https://testnet.joystream.org/#/forum/categories/10

## 5 - Report changelog
- 04.11.2020
	- added working group review section

- 22.10.2020
	- updated budget section to reflect nature of new budget system
	- updated events to be threads & events

- 14.09.2020
	- removed member addresses and replaced with member IDs since they take less space
	- added realized and unrealized spending