# Council Election Round #7 - Performance Review and Minutes
## 1 - Basic Information
### 1.1 - Introduction
The council is expected to produce reports during each round and provide feedback in the form of workflow, challenges, thinking and performance as well as minutes covering important events during the council session.

Usernames referenced are Joystream usernames.
All times are calculated based on 6 second blocktimes and not actual blocktimes.
The Council Round number is taken from the chain, the KPI rounds have an offset number.

This report was compiled by @tomato with assistance from @freakstatic

### 1.2 - Council Round Overview
* Council Election Round: #7
* Start Block: #1267201
* End Block: #1468801
* Forum thread for round feedback: https://testnet.joystream.org/#/forum/threads/173

### 1.3 - Council members & vote participation
* All usernames are listed in the order given by `activeCouncil` from chain state.
* Votes cast includes all types of vote (Approve, Reject, Abstain & Slash)
* In the event a proposal is not finalized within the current council, it will be indicated and current council votes will not be recorded due to system limitations

| Username             | Member ID | Prop. Votes Cast | CM Own Stake | CM Voter Stake |
|----------------------|-----------|------------------|--------------|----------------|
| @blackmass           | 361       | 8                | 5000000      | 1350000        |
| @anthony             | 129       | 18               | 5000000      | 1200000        |
| @supunssw            | 318       | 14               | 6000000      | 0              |
| @freakstatic_council | 321       | 19               | 7000000      | 100000         |
| @tomato              | 2         | 19               | 6500000      | 10000          |
| @sparky              | 319       | 3                | 7000000      | 0              |
|                      |           |                  |              |                |
| Total Stake          |           |                  |              | 39160000       |

### 1.4 - Council Roles
* Council Secretary
	* @tomato

### 1.5 - Council Mint & Budget Status
* Start minted: 60345646 tokens
* End minted: 77524380 tokens
* Total minted during council round: 17178734 tokens (+28.46% from start)
	* Minted from Spending proposals:  tokens
	* Minted for CM payments: 2440734 tokens

* Budget proposal link: https://testnet.joystream.org/#/proposals/89
* Budget forum link: https://testnet.joystream.org/#/forum/threads/171

(Note: The council budget is now based on the rewards for roles, council payments and validator payments. Jsgenesis decides how much to set the mint to.)

## 2 - Minutes
### 2.1 - Proposal Overview
Proposal Types
- 19 Proposals Created
	- 5 Text Proposals
	- 6 Spending Proposals
	- 1 SetWorkingGroupLeaderReward Proposals
	- 1 SetWorkingGroupMintCapacity Proposals
	- 1 SetContentWorkingGroupMintCapacity Proposals
	- 1 BeginReviewWorkingGroupLeaderApplication
	- 1 TerminateWorkingGroupLeaderRole
	- 1 FillWorkingGroupLeaderOpening
	- 1 SetValidatorCount
	- 1 AddWorkingGroupLeaderOpening

Proposal States
- 15 Approved & executed proposals
	- Token value of spending proposals: 14738000 tokens
- 0 Canceled proposals
- 1 Rejected proposals
- 0 Slashed proposals
- 0 Expired proposals
	- 0 Token value:  tokens

Failed Proposals
- 0 NotEnoughCapacity failures
	- Token value: 0 tokens
- 3 ExecutionFailed

- Total time for proposals to finalize: 571.29 hours
- Average time for proposals to finalize: 30.06 hours
	- This average is calculated from all proposals, including canceled and expired proposals.
	- Proposals which are not successfully voted by the current council are considered finalized at the final blockheight of the current council. So if the current council has 50 hours to vote on proposal, but does not fully vote and the proposal is passed onto the next council, this 50 hours is included in the average time to finalize.

### 2.2 - Proposal Breakdown
#### Proposal 75 - Create a competitions forum category
- Proposal Link: https://testnet.joystream.org/#/proposals/75
- Proposal Type: Text
	- Amount: N/A
- Status: ExecutionFailed
	- Time to finalize: 17,713 blocks (29.52 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 76 - Perform runtime upgrade before grace
- Proposal Link: https://testnet.joystream.org/#/proposals/76
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 2,230 blocks (3.71 hours)
- Created by: @joystream
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 77 - KPI 07.3 - Appoint New Council Secretary
- Proposal Link: https://testnet.joystream.org/#/proposals/77
- Proposal Type: Spending
	- Amount: 2000000
- Status: Executed
	- Time to finalize: 22,065 blocks (36.77 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @sparky, @freakstatic_council, @blackmass

#### Proposal 78 - Replenishing the mint for ContentCurator
- Proposal Link: https://testnet.joystream.org/#/proposals/78
- Proposal Type: SetContentWorkingGroupMintCapacity
	- Amount: 1000000
- Status: Rejected
	- Time to finalize: 21,638 blocks (36.06 hours)
- Created by: @maks_malensek
- Participants: @tomato, @anthony, @supunssw, @sparky, @freakstatic_council, @blackmass

#### Proposal 79 - KPI 06.2 - Council Report
- Proposal Link: https://testnet.joystream.org/#/proposals/79
- Proposal Type: Spending
	- Amount: 500000
- Status: Executed
	- Time to finalize: 19,674 blocks (32.79 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council, @blackmass

#### Proposal 80 - KPI 06.6 - Quality Content Sourcing
- Proposal Link: https://testnet.joystream.org/#/proposals/80
- Proposal Type: Text
	- Amount: N/A
- Status: ExecutionFailed
	- Time to finalize: 14,132 blocks (23.55 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 81- Council 06 - Tokenomics Report
- Proposal Link: https://testnet.joystream.org/#/proposals/81
- Proposal Type: Spending
	- Amount: 385000
- Status: Executed
	- Time to finalize: 29,501 blocks (49.16 hours)
- Created by: @freakstatic_council
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council, @blackmass

#### Proposal 82 - Hire a new curator lead
- Proposal Link: https://testnet.joystream.org/#/proposals/82
- Proposal Type: AddWorkingGroupLeaderOpening
	- Amount: N/A
- Status: Executed
	- Time to finalize: 12,798 blocks (21.33 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @freakstatic_council, @blackmass

#### Proposal 83 - JoystreamStats.live (Part II+III)
- Proposal Link: https://testnet.joystream.org/#/proposals/82
- Proposal Type: Spending
	- Amount: 5000000
- Status: Executed
	- Time to finalize: 20,166 blocks (33.61 hours)
- Created by: @l1dev
- Participants: @tomato, @anthony, @freakstatic_council, @blackmass

#### Proposal 84 - Joystream's first telegram sticker.!!
- Proposal Link: https://testnet.joystream.org/#/proposals/84
- Proposal Type: Spending
	- Amount: 300000
- Status: Executed
	- Time to finalize: 27,682 blocks (46.13 hours)
- Created by: @jamesr
- Participants: @tomato, @anthony, @freakstatic_council, @blackmass

#### Proposal 85 - Raise Validator Count
- Proposal Link: https://testnet.joystream.org/#/proposals/85
- Proposal Type: SetValidatorCount
	- Amount: N/A
- Status: Executed
	- Time to finalize: 31,307 blocks (52.17 hours)
- Created by: @tomato
- Participants: @tomato, @supunssw, @sparky, @freakstatic_council

#### Proposal 86 - Begin review of content lead apps
- Proposal Link: https://testnet.joystream.org/#/proposals/86
- Proposal Type: BeginReviewWorkingGroupLeaderApplication
	- Amount: N/A
- Status: Executed
	- Time to finalize: 4,511 blocks (7.51 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 87 - Community Bounty #2
- Proposal Link: https://testnet.joystream.org/#/proposals/87
- Proposal Type: Spending
	- Amount: 4553000
- Status: Executed
	- Time to finalize: 28,326 blocks (47.21 hours)
- Created by: @l1dev
- Participants: @tomato, @anthony, @freakstatic_council, @blackmass

#### Proposal 88 - Fill content curator lead
- Proposal Link: https://testnet.joystream.org/#/proposals/88
- Proposal Type: FillWorkingGroupLeaderOpening
	- Amount: N/A
- Status: ExecutionFailed
	- Time to finalize: 15,730 blocks (26.21 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 89 - KPI 07.5 - Budget
- Proposal Link: https://testnet.joystream.org/#/proposals/89
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 10,649 blocks (17.74 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 90 - Storage Role Spot Check
- Proposal Link: https://testnet.joystream.org/#/proposals/90
- Proposal Type: Text
	- Amount: N/A
- Status: Executed
	- Time to finalize: 9,717 blocks (16.19 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 91 - Fire curator lead
- Proposal Link: https://testnet.joystream.org/#/proposals/91
- Proposal Type: TerminateWorkingGroupLeaderRole
	- Amount: N/A
- Status: Executed
	- Time to finalize: 32,682 blocks (54.47 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 92 - Refill Storage Working Group mint
- Proposal Link: https://testnet.joystream.org/#/proposals/92
- Proposal Type: SetWorkingGroupMintCapacity
	- Amount: 5000000
- Status: Executed
	- Time to finalize: 16,213 blocks (27.02 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council

#### Proposal 93 - Adjust storage lead reward
- Proposal Link: https://testnet.joystream.org/#/proposals/93
- Proposal Type: SetWorkingGroupLeaderReward
	- Amount: N/A
- Status: Executed
	- Time to finalize: 6,089 blocks (10.14 hours)
- Created by: @tomato
- Participants: @tomato, @anthony, @supunssw, @freakstatic_council


### 2.4 - Select threads & events
- Due to the runtime upgrade, some text proposals submitted before the upgrade had `ExecutionFailed` as an error. These were all approved by voting and there's no indication this matters much. There is a Github issue discussing this: https://github.com/Joystream/joystream/pull/1962

### 2.5 - Working Group Spotchecks
- Storage Role Spot Check: https://testnet.joystream.org/#/proposals/90
- Curator Role Spot Check: (no curator lead was hired during this council term)

## 3 - Review
### 3.1 - Workflow, Performance, Challenged & Thinking
* tomato
	* It looks like this council session went pretty well, it appears that there were the highest number of submitted proposals ever (18 so far) and none of the proposals expired and most were voted through in quite acceptable timeframes.
	* We also got a forum for competitions and had our first entry for the sticker competition.
	* The joystreamstats website is also up and running (it seems to still have some minor issues but its a nice addition to the information available in pioneer, and it can be built upon in the future)
	* The polkadot-js bounty looks to basically be complete pending a minor update to the PR
	* The runtime upgrade changed the workload of the curator group quite a lot, and the council agreed on a change in the budget for this.
* freakstatic_council
	* I agree that the council session went pretty well, is great to see the community to become more active and start to participate more in the bounties, It was a good idea to increase the budget for the curator group as @tomato suggested to compensate the extra work. No problem was detected with the runtime upgrade which is great!

## 4 - Obligations
Council obligations are payments or items that carry through council sessions. These are noted so that future councils can easily see what items they should be aware of. Items can be removed from here once they have been resolved or become outdated.

### 4.1 Current Documents / Processes
- Council Report
	- Each council should produce a report which highlights important events, council participation, mint spending and other important facts surrounding the council term
- Council Budget
	- This is a proposal which tries to guide how many tokens the current council may have available to it during a term. This is a non binding proposal, so is mainly used as a guide for now.

### 4.2 Documents WIP
- Tokenomics Reports
	- This is a periodic report which should be produced after each council round has concluded. It should serve as a tool to see the overall economics of the platform.
- Working Group Evaluations
	- This was introduced in KPI 15.5 and should serve as a way of evaluting the working groups, so far it hasn't been produced fully.

### 4.2 Regular Payments / Proposals
- Council Mint
	- The council mint needs to be checked on a regular basis and in the event it is near depletion, a council member should notify a member of Jsgenesis in order for it to be refilled.
	- The council mint is set at a value decided by Jsgenesis.
- Council Roles
	- Council Secretary
		- This role was introduced in Council Round #18 and the current payment is 2 million tokens per council round
- Content Curator Mint
	- The Content Curator Mint currently has a maximum value of 1 million tokens.
	- The Content Curator Mint has to be filled periodically and the agreed amount was discussed earlier. The amount may change in the future, but the rewards for this role are dependent on the council passing these proposals in a timely fashion.
	- The Content Curator Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
- Storage Mint
	- The Storage Mint currently has a maximum value of 5 million tokens.
	- This mint has be refilled periodically
	- The Storage Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
 
### 4.2 Bounties
- Bounties are shown on the forum Bounties section: https://testnet.joystream.org/#/forum/categories/10

## 5 - Report changelog
- 04.11.2020
	- added working group review section

- 22.10.2020
	- updated budget section to reflect nature of new budget system
	- updated events to be threads & events

- 14.09.2020
	- removed member addresses and replaced with member IDs since they take less space
	- added realized and unrealized spending