# Council Election Round #22 - Performance Review and Minutes
## 1 - Basic Information
### 1.1 - Introduction
The council is expected to produce reports during each round and provide feedback in the form of workflow, challenges, thinking and performance as well as minutes covering important events during the council session.

Usernames referenced are Joystream usernames.
All times are calculated based on 6 second blocktimes and not actual blocktimes.
The Council Round number is taken from the chain, the KPI rounds have an offset number.

This report was compiled by @tomato with assistance from @freakstatic

### 1.2 - Council Round Overview
* Council Election Round: #22
* KPI Round: 17
* Start Block: #2464411
* End Block: #2565210
* Forum thread for round feedback: https://testnet.joystream.org/#/forum/threads/110

### 1.3 - Council members & vote participation
* All usernames are listed in the order given by `activeCouncil` from chain state.
* Votes cast includes all types of vote (Approve, Reject, Abstain & Slash)
* Some proposals include votes from the next elected council, these votes are not counted and do not currently influence proposal results.

| Username      | Member ID | Prop. Votes Cast | CM Own Stake | CM Voter Stake |
|---------------|-----------|------------------|--------------|----------------|
| @blackmass    | 361       | 2                | 200000       | 0              |
| @anthony      | 129       | 1                | 500000       | 0              |
| @supunssw     | 318       | 3                | 500000       | 0              |
| @fierydev     | 439       | 5                | 100001       | 0              |
| @nexusfallout | 4         | 4                | 500000       | 0              |
| @tomato       | 2         | 5                | 125000       | 0              |
| @jcmansah     | 470       | 3                | 90000        | 0              |
| @sparky       | 319       | 1                | 300000       | 0              |
| @manipal      | 355       | 1                | 350000       | 0              |
| @sieemma      | 458       | 4                | 250000       | 50             |
|               |           |                  |              |                |
| Total Stake   |           |                  | 2915001      | 50             |

### 1.4 - Council Roles
* Council Secretary
	* @tomato

### 1.5 - Council Mint & Budget Status
* Start minted: 44363363 tokens
* End minted: 46763363 tokens
* Total minted during council round: 2400000 tokens (+5.40% from start)
	* Minted from Spending proposals: 0 tokens
	* Minted for CM payments: 2400000 tokens

* Budget proposal link: https://testnet.joystream.org/#/proposals/81
	* (this did not recieve enough votes so did not get approved by the council)
* Total budget: 10279006 tokens
* Total used of budget: 2400000 tokens (23.34%)

(Note: The council budget is a work in progress and is a non-binding proposal, at this stage it can be used to simply begin the development of a working budget for the council. Currently the council mint is filled by Jsgenesis, but on mainnet this will have to be managed by the council in some way.)

## 2 - Minutes
### 2.1 - Proposal Overview
- 5 Proposals Created
	- 1 Text Proposals
	- 2 Spending Proposals
	- 2 SetWorkingGroupMintCapacity Proposals
	- 0 SetContentWorkingGroupMintCapacity Proposals

- 2 Approved & executed proposals
	- Token value: 1000000 tokens
- 0 Canceled proposals
- 0 Rejected proposals
- 0 Slashed proposals
- 3 Expired proposals
	- Token value: 4000000 tokens
- 0 NotEnoughCapacity failures

- Total time for proposals to finalize: 448.86
- Average time for proposals to finalize: 89.72 hours
	- This average is calculated from all proposals, including canceled and expired proposals.

### 2.2 - Proposal Breakdown
#### Proposal 80 - Fill storage mint
- Proposal Link: https://testnet.joystream.org/#/proposals/80
- Proposal Type: SetWorkingGroupMintCapacity
	- Amount: 1.000M tokens
- Status: Approved & Executed Successfully
	- Time to finalize: 28483 blocks (47.47 hours)
- Created by: @tomato
- Participants: @manipal, @supunssw, @fierydev, @nexusfallout, @tomato, @anthony

#### Proposal 81 - Council #22 Budget
- Proposal Link: https://testnet.joystream.org/#/proposals/81
- Proposal Type: Text
- Status: Approved & Executed Successfully
	- Time to finalize: 53635 blocks (89.39 hours)
- Created by: @tomato
- Participants: @sieemma, @supunssw, @fierydev, @sparky, @tomato, @blackmass

#### Proposal 82 - Council Secretary - Council #22
- Proposal Link: https://testnet.joystream.org/#/proposals/82
- Proposal Type: Spending
	- Amount: 2.000M tokens
- Status: Expired
	- Time to finalize: 72000 blocks (120 hours)
- Created by: @tomato
- Participants: @sieemma, @fierydev, @nexusfallout, @jcmansah, @tomato

#### Proposal 83 - KPI 16.3 - Council Report
- Proposal Link: https://testnet.joystream.org/#/proposals/83
- Proposal Type: Spending
	- Amount: 1.000M tokens
- Status: Expired
	- Time to finalize: 72000 blocks (120 hours)
- Created by: @tomato
- Participants: @sieemma, @fierydev, @nexusfallout, @jcmansah, @tomato, @blackmass

#### Proposal 84 - Refill Storage Working Group mint
- Proposal Link: https://testnet.joystream.org/#/proposals/84
- Proposal Type: SetWorkingGroupMintCapacity
	- Amount: 1.000M tokens
- Status: Expired
	- Time to finalize: 43200 blocks (72 hours)
- Created by: @rajcprem
- Participants: @sieemma, @supunssw, @fierydev, @nexusfallout, @jcmansah, @tomato

### 2.3 - Community Repo Pull Requests & Issues
- https://github.com/Joystream/community-repo/pull/20
	- PR created for submission of KPI 16.3

### 2.4 - Select events
- N/A

## 3 - Review
### 3.1 - Workflow, Performance, Challenged & Thinking
* @tomato
	* This council round did not go well at all, most of the proposals unfortunately expired without enough votes. There's already enough been said on this topic and proposed improvements being worked on.

## 4 - Obligations
Council obligations are payments or items that carry through council sessions. These are noted so that future councils can easily see what items they should be aware of. Items can be removed from here once they have been resolved or become outdated.

### 4.1 Current Documents / Processes
- Council Report
	- Each council should produce a report which highlights important events, council participation, mint spending and other important facts surrounding the council term
- Council Budget
	- This is a proposal which tries to guide how many tokens the current council may have available to it during a term. This is a non binding proposal, so is mainly used as a guide for now.

### 4.2 Documents WIP
- Tokenomics Reports
	- This is a periodic report which should be produced after each council round has concluded. It should serve as a tool to see the overall economics of the platform.
- Working Group Evaluations
	- This was introduced in KPI 15.5 and should serve as a way of evaluting the working groups, so far it hasn't been produced fully.

### 4.2 Regular Payments / Proposals
- Council Mint
	- The council mint needs to be checked on a regular basis and in the event it is near depletion, a council member should notify a member of Jsgenesis in order for it to be refilled.
	- The council mint is set at a value decided by Jsgenesis.
- Council Roles
	- Council Secretary
		- This role was introduced in Council Round #18 and the current payment is 2 million tokens per council round
- Content Curator Mint
	- The Content Curator Mint currently has a maximum value of 1 million tokens.
	- The Content Curator Mint has to be filled periodically and the agreed amount was discussed earlier. The amount may change in the future, but the rewards for this role are dependent on the council passing these proposals in a timely fashion.
	- The Content Curator Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
- Storage Mint
	- The Storage Mint currently has a maximum value of 1 million tokens.
	- This mint has be refilled periodically
	- The Storage Lead role is expected to keep track of their mint level and any member of the Joystream platform can create a proposal to refill this mint.
 
### 4.2 Bounties
- There are no outstanding bounties at this time.

## 5 - Report changelog
- 14.09.2020
	- removed member addresses and replaced with member IDs since they take less space
	- added realized and unrealized spending